
QGIS Application - Feature request #16436

Auto, dynamic CRS

2017-04-11 06:04 AM - Gavin Fleming

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 24345

Description

Extend the CRS properties with some automatic options

My use case:

Set up a series of CRS transitions for working in South Africa, that will result in my project view always bing in the ideal series for the

location and scale.

Albers<->UTM<->Transsverse Mercator, transitioning between these at user-defined scales (with recommended defaults from EPSG or

other sources)

Then, once in a CRS, set its parameters dynamically based on current location and extent:

Albers: dynamically set central meridian and first and second parallel

UTM: dynamically choose best zone

TM: dynamically choose best zone or set central meridian.

Include the ability to use user-defined CRSs. This might entail extending user-defined CRS descriptions with optional valid extents.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-09-22 09:53 AM - Jürgen Fischer

- Category set to Unknown
